#
# Conditional build:
%bcond_with	tests	# do not perform "make test"

%define		module		compose
%define		egg_name	docker_compose
%define		pypi_name	docker-compose
Summary:	Multi-container orchestration for Docker
Name:		docker-compose
Version:	1.15.0
Release:	2
License:	Apache v2.0
Group:		Applications/System
# https://github.com/docker/compose/releases
Source0:	https://files.pythonhosted.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
# Source0-md5:	7da853bc1e8c2c53281b7997c2227057
Patch0:		remove-requires-upper-bound.patch
URL:		https://docs.docker.com/compose/
%if %{with tests}
BuildRequires:	python-PyYAML
BuildRequires:	python-docker
BuildRequires:	python-docopt
BuildRequires:	python-requests
BuildRequires:	python-setuptools
BuildRequires:	python-texttable
BuildRequires:	python-websocket-client
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	docker >= 1.10.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Multi-container orchestration for Docker

Docker-compose allows you to:
- Define your application's environment with Docker so it can be
  reproduced anywhere.
- Define the services that make up your app so they can be run
  together in an isolated environment.
- Run 'docker-compose up', and docker-compose will start and run your
  entire app.

%prep
%setup -q
%patch0 -p1

rm -r docker_compose.egg-info

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT
%py_install
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.md CONTRIBUTING.md README.rst SWARM.md LICENSE
%attr(755,root,root) %{_bindir}/%{name}
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{egg_name}-%{version}-py*.egg-info
%changelog
* Sat Aug 26 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/docker-compose.git;a=log;h=master

* Sat Aug 26 2017 Jan Rękorajski <baggins@pld-linux.org> b030c14
- commit updated patch
- rel 2

* Sun Aug 20 2017 Jan Rękorajski <baggins@pld-linux.org> 3e925c1
- up to 1.15.0
- updated deps patch

* Tue Jul 18 2017 Elan Ruusamäe <glen@pld-linux.org> 9696a89
- up to 1.14.0

* Sun Nov 27 2016 Elan Ruusamäe <glen@delfi.ee> d4e83a2
- up to 1.9.0 (2016-11-16)

* Thu Sep 29 2016 Elan Ruusamäe <glen@delfi.ee> 390264e
- up to 1.8.1 (2016-09-22)

* Thu Aug 25 2016 Elan Ruusamäe <glen@delfi.ee> 0293309
- up to 1.8.0 (2016-06-14)

* Thu May 19 2016 Elan Ruusamäe <glen@delfi.ee> 1ea8eb3
- up to 1.7.1

* Mon May 02 2016 Elan Ruusamäe <glen@delfi.ee> 49b0b58
- up to 1.7.0

* Sun Mar 20 2016 Elan Ruusamäe <glen@delfi.ee> 5995790
- restore egg deps where appropriate

* Sun Mar 20 2016 Elan Ruusamäe <glen@delfi.ee> 7d0e054
- skip autogenerated unversioned deps

* Sun Mar 20 2016 Elan Ruusamäe <glen@delfi.ee> b5506c5
- fix deps

* Sun Mar 20 2016 Elan Ruusamäe <glen@delfi.ee> a4a04e4
- new, version 1.6.2

